package com.ifish.enums;

public enum AdTypeEnum {
	one(1,"首页广告位"),
	two(2,"资讯广告位"),
	three(3,"优选商家广告位"),
	four(4,"签到广告位"),
	five(5,"爱鱼看看广告位"),
	six(6,"鱼医生广告位"),
	seven(7,"loading页广告位");
	
	private AdTypeEnum(Integer key,String value){
		this.key = key;
		this.value = value;
	}
	
	//普通方法
	public static AdTypeEnum getAdTypeEnum(Integer key) {
		for (AdTypeEnum c : AdTypeEnum.values()) {
			if (c.getKey().equals(key)) {
				return c;
			}
		}
		return null;
	}
		
	private Integer key;
	private String value;
	
	public Integer getKey() {
		return key;
	}
	public void setKey(Integer key) {
		this.key = key;
	}
	public String getValue() {
		return value;
	}
	public void setValue(String value) {
		this.value = value;
	}
	
}
